
.. _get_state_cli:

get_state
/////////

::

   
   get_state
   ---------
   
   Get state data. For the whole suite definition or individual nodes.
   This will include event, meter, node state, trigger and time state.
   The output is written to standard out.
     arg = NULL | arg = node path
   Usage:
     --get_state     # gets the definition from the server,and writes to standard out
     --get_state=/s1 # gets the suite from the server,and writes to standard out
   
   The client reads in the following environment variables. These are read by user and child command
   
   |----------|----------|------------|-------------------------------------------------------------------|
   | Name     |  Type    | Required   | Description                                                       |
   |----------|----------|------------|-------------------------------------------------------------------|
   | ECF_HOST | <string> | Mandatory* | The host name of the main server. defaults to 'localhost'         |
   | ECF_PORT |  <int>   | Mandatory* | The TCP/IP port to call on the server. Must be unique to a server |
   | ECF_SSL  |  <any>   | Optional*  | Enable encrypted comms with SSL enabled server.                   |
   |----------|----------|------------|-------------------------------------------------------------------|
   
   * The host and port must be specified in order for the client to communicate with the server, this can 
     be done by setting ECF_HOST, ECF_PORT or by specifying --host=<host> --port=<int> on the command line
   
